package com.base.api.client;

import com.base.api.model.request.PayloadRpcReqDTO;
import com.base.api.model.PayloadRpcDTO;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.*;

import java.util.List;

@FeignClient(name = "orbit-base-biz",contextId = "payload")
public interface PayloadRpcService {

    @RequestMapping(value = "/rpc/payload/list",method = RequestMethod.POST)
    public List<PayloadRpcDTO> getPayloadRpcDTOList(@RequestBody PayloadRpcReqDTO req);

    @RequestMapping(value = "/rpc/payload/getAllList",method = RequestMethod.POST)
    public List<PayloadRpcDTO> getAllList();

    /**
     * 根据卫星id获取载荷列表
     * @param satelliteIds:卫星Id
     * @return 卫星载荷列表
     */
    @PostMapping("/rpc/payload/getPayloadListBySatelliteIds")
    List<PayloadRpcDTO> getPayloadListBySatelliteIds(List<String> satelliteIds);
}
