package com.base.api.client;


import com.base.api.model.SatelliteRpcDTO;
import com.base.api.model.request.FzTaskInfoRpcReqDTO;
import com.base.api.model.request.UpdateSatelliteRpcDTO;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.*;

import java.util.List;

@FeignClient(name = "orbit-base-biz",contextId = "satellite")
public interface SatelliteRpcService {
    /**
     * 查询卫星信息
     *
     */
    @RequestMapping(value = "/rpc/satellite/listall", method = RequestMethod.GET)
    public List<SatelliteRpcDTO> list();

    /**
     * 查询卫星信息
     *@param
     */
    @PostMapping("/rpc/satellite/listbyids")
    public List<SatelliteRpcDTO> listByIds(List<String> satelliteCodes);

    /**
     * 查询卫星信息
     *@param
     */
    @PostMapping("/rpc/satellite/queryAllSatelliteByIds")
    public List<SatelliteRpcDTO> queryAllSatelliteByIds(List<String> satelliteids);

    /**
     * 更新卫星固存占用信息
     *@param
     */
    @PostMapping("/rpc/satellite/update")
    public void update(@RequestBody UpdateSatelliteRpcDTO req);

}
