package com.base.api.client;


import com.base.api.model.SceneTargetPointRpcDTO;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.List;
import java.util.Set;

@FeignClient(name = "orbit-base-biz", contextId = "targetPoint")
public interface SceneTargetPointRpcService {

    /**
     * 根据目标id,查询点列表
     * @param targetId 目标id
     * @return 点列表
     */
    @GetMapping("/targetPoint/list/by/targetId")
    public List<SceneTargetPointRpcDTO> getPointListByTargetId(@RequestParam("targetId") String targetId);


}
