package com.base.api.model;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 
 * </p>
 *
 * @author yulin
 * @since 2022-01-24
 */
@Data
public class SatelliteRpcDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    private String Id;
    @ApiModelProperty("wx代号")
    private String satelliteCode;
    @ApiModelProperty("wx中文名称")
    private String satelliteName;
    @ApiModelProperty("卫星类型，载荷类型，1可见光/微光，2红外，3微波，4SAR，5掩星")
    private String loadType;
    @ApiModelProperty("轨道高度，单位KM")
    private String altitude;
    @ApiModelProperty("WX质量 kg")
    private String mass;
    @ApiModelProperty("分辨率 m")
    private String groundResolution;
    @ApiModelProperty("载荷幅宽 m")
    private String swathWidth;
    @ApiModelProperty("迎风面积 平方米")
    private String windArea;
    @ApiModelProperty("光压面积，平方米")
    private String shineArea;
    @ApiModelProperty("中继类型，0不支持，1一代中继，2二代中继")
    private String receiveRelayType;
    @ApiModelProperty("固存容量")
    private String fixedVolume;
    @ApiModelProperty("地球重力场模型阶数1，默认32.0")
    private String earthGravityFieldModeOrde1;
    @ApiModelProperty("地球重力场模型阶数2，默认32.0")
    private String earthGravityFieldModeOrde2;
    @ApiModelProperty("总内存")
    private String totalMemory;

    @ApiModelProperty("数传速率")
    private String dataPassSpeed;

    @ApiModelProperty("最大侧摆角")
    private String maxRollAngle;


    @ApiModelProperty("最小侧摆角")
    private String minRollAngle;

    @ApiModelProperty("最大俯仰角")
    private String maxPitchAngle;

    @ApiModelProperty("最小俯仰角")
    private String minPitchAngle;

    @ApiModelProperty("最大偏航角")
    private String maxYawAngle;

    @ApiModelProperty("固存占用")
    private String baseMemory;

    @ApiModelProperty("eirp")
    private String eirp;

    @ApiModelProperty("信息速率")
    private String xxsl;

    @ApiModelProperty("载波频率")
    private String carrier;

}
