package com.base.biz.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.base.biz.model.dto.request.InstanceInfoDTOListReq;
import com.base.biz.model.entity.InstanceInfo;
import com.base.biz.model.entity.SatelliteInfo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

@Mapper
@Repository
public interface InstanceInfoMapper extends BaseMapper<InstanceInfo> {

    List<InstanceInfo> getInstanceInfoDTOList(@Param("req") InstanceInfoDTOListReq req);
    default List<InstanceInfo> selectBySatellite(List<String> satelliteCode){
        return selectList(new QueryWrapper<InstanceInfo>().in("satellite_code",satelliteCode));
    }
}
