package com.base.biz.model.dto.request;

import com.base.biz.model.enums.FrequencyEnums;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class LinkCountDTO {
    @ApiModelProperty("卫星代号")
    private String satelliteCode;

    @ApiModelProperty("地面站ID")
    private String stationId;

    @ApiModelProperty("载波频率 根据频段判断 X L")
    private FrequencyEnums frequencyEnums;

    @ApiModelProperty("电离层损耗 默认1.0dB")
    private double l1=1.0;

    @ApiModelProperty("极化误差损耗 默认0.5dB")
    private double l2=0.5;

    @ApiModelProperty("雨衰 默认0.5dB")
    private double l3=0.5;

    @ApiModelProperty("其他损耗 默认2.0dB")
    private double l4=2.0;

    @ApiModelProperty("地面站天线仰角")
    private double elevation;

    @ApiModelProperty("天线口径 12 或者 5.2 ")
    private String antenna;

}
