package com.base.biz.model.dto.request;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * <p>
 * 目标顶点信息
 * </p>
 *
 * @author cxl
 * @since 2022-02-24
 */
@Data
public class QueryTargetPointBatchDTO {


    /**
     * 所属目标，外键target_id
     */
    private String targetId;

    /**
     * 顶点编码
     */
    private String pointCode;

    /**
     * 维度
     */
    private BigDecimal latitude;

    /**
     * 经度
     */
    private BigDecimal longitude;

    /**
     * 顶点连接顺序，从0开始，不包括中心点（中心点为-1）
     */
    private Integer sequence;

    /**
     * 创建时间
     */
    private Date createdDate;

    /**
     * 创建人
     */
    private String createdBy;

    /**
     * 最后修改人
     */
    private String lastModifiedBy;

    /**
     * 最后修改时间
     */
    private Date lastModifiedDate;

    /**
     * 版本号
     */
    private BigDecimal version;

    /**
     * 状态
     */
    private BigDecimal status;

      @TableId(value = "id", type = IdType.AUTO)
    private String id;

    /**
     * 数据来源0，初始导入；1，页面新增
     */
    private Integer source;

    /**
     * 动目标平均航速，单位节，1节=1海里/小时=1.852km/h
     */
    @ApiModelProperty("动目标平均航速")
    private String movingEvgSpeed;

    /**
     * 航向
     */
    private String heading;

    /**
     * 移动时长
     */
    private String time;


}
