
package com.base.biz.model.enums;

public enum ReconnaissancePurposeEnums {

    RAPID_RESPONSE_RECONNAISSANCE(1,"应急观测","CCD,SAR,IRS"),
    LAND_CAMOUFLAGE_IDENTIFICATION(2,"实时观测","CCD,MSS,HSI"),
    EARLY_ANOMALY_DETECTION(3,"持续跟踪","CCD,SAR"),
    MARITIME_SEARCH_DISCOVERY(4,"普查详情","ELECTRON,SAR,CCD,QWERT20-1"),
    CONTINUOUS_TRACKING_AT_SEA(5,"历史统计","QWERT20-1,ELECTRON"),
    MARINE_IDENTIFICATION_CONFIRMATION(6,"海上识别确认","CCD,SAR");

    ReconnaissancePurposeEnums(Integer key, String describe, String payload){

        this.key = key;
        this.describe = describe;
        this.payload = payload;

    }


    /**
     * 侦察目的Key
     */

    public Integer key;

    /**
     * 中文描述
     */
    public String describe;


    /**
     * 载荷
     */
    public String payload;

    public static ReconnaissancePurposeEnums getReconnaissancePurposeEnums(Integer key){
        for (ReconnaissancePurposeEnums reconnaissancePurposeEnums:ReconnaissancePurposeEnums.values()){
            if (reconnaissancePurposeEnums.key.equals(key)){
                return reconnaissancePurposeEnums;
            }
        }
        return null;
    }
}

