package com.base.plan.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.base.plan.model.entity.AlgSchemeWindowPass;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Set;

@Mapper
@Repository
public interface AlgSchemeWindowPassMapper extends BaseMapper<AlgSchemeWindowPass> {

    List<AlgSchemeWindowPass> selectAlgSchemeWindowPassListByWindowIds(@Param("windowIds") Set<String> windowIds,@Param("passType") Integer passType);
    /**
     * 批量新增测控列表、数传列表
     *
     * @param windowPasses 列表
     * @return 结果
     */
    public void batchAlgSchemeWindowPass(List<AlgSchemeWindowPass> windowPasses);

    /**
     * 根据窗口Id查询数传站与测控站数据
     * @param windowIds：窗口Id
     * @return 数传站与测控站资源集合
     */
    List<AlgSchemeWindowPass> selectSchemeWindowPassByWindowIds(@Param("windowIds") List<String> windowIds);
}
