package com.base.plan.model.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;
import java.util.Date;

@Data
public class PlanDTO {

    private String id;

    private String taskId;
    @ApiModelProperty("任务编号")
    private String reqId;

    @ApiModelProperty("目标编号")
    private String targetCode;

    @ApiModelProperty("目标名称")
    private String targetName;
    @ApiModelProperty("卫星编号")
    private String satelliteCode;
    @ApiModelProperty("卫星Id")
    private String satelliteId;

    @ApiModelProperty("观测开始时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date observationStartTime;
    @ApiModelProperty("观测结束时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date observationEndTime;
    @ApiModelProperty("观测时长")
    private String observationDuration;

    @ApiModelProperty("地面站编号")
    private String dataPassStationCode;

    @ApiModelProperty("地面站名称")
    private String dataPassStationName;

    private String stationCode;

    @ApiModelProperty("数传开始时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date dataPassStartTime;

    @ApiModelProperty("数传结束时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date dataPassEndTime;

    @ApiModelProperty("数传时长")
    private String dataPassDuration;
    @ApiModelProperty("分辨率 m")
    private String groundResolution;
    @ApiModelProperty("侧摆角")
    private String rollAngle;
    @ApiModelProperty("幅宽，单位米")
    private String swathWidth;
    @ApiModelProperty("轨道圈号")
    private String orbitNum;

    @ApiModelProperty("轨道高度，单位KM")
    private String altitude;


}
