package com.base.plan.model.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

@Data
public class StepDTO {

    @ApiModelProperty("需求Id")
    private String id;
    @ApiModelProperty("卫星数量")
    private Integer satelliteCount;
    @ApiModelProperty("需求名称")
    private String stepName;
    @ApiModelProperty("分辨率")
    private String resolvingPower;
    @ApiModelProperty("观察手段")
    private String observationMeans;
    @ApiModelProperty("总次数")
    private Integer totalTimes;
    @ApiModelProperty("日频次")
    private Float rateDay;
    @ApiModelProperty("最早观察时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date earliestObservationTime;
    @ApiModelProperty("最大间隔")
    private String maximumInterval;
    @ApiModelProperty("最小间隔")
    private String minimumInterval;
    @ApiModelProperty("优先级")
    private Integer priority;

}
