package com.base.plan.service;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.base.plan.mapper.StripCalcResultMapper;
import com.base.plan.model.entity.StripCalcResult;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * @projectName: zklt-ch-server-ultra
 * @package: com.base.plan.service
 * @className: StripCalcResultServiceImpl
 * @author: Nika
 * @description: 条带计算结果业务逻辑处理类
 * @date: 2024/9/11 15:57
 */
@Service
public class StripCalcResultServiceImpl extends ServiceImpl<StripCalcResultMapper, StripCalcResult> implements StripCalcResultService{

    @Resource
    StripCalcResultMapper stripCalcResultMapper;

    @Override
    public List<StripCalcResult> getStripCalcResult() {
        Page<StripCalcResult> stripCalcResultPage = new Page<>(1,100);

        QueryWrapper<StripCalcResult> stripCalcResultQueryWrapper = new QueryWrapper<>();
        stripCalcResultQueryWrapper.orderByDesc("create_date");
        Page<StripCalcResult> stripCalcResultPages = stripCalcResultMapper.selectPage(stripCalcResultPage, stripCalcResultQueryWrapper);
        return stripCalcResultPages.getRecords();
    }
}
