package com.base.api.client;

import com.base.api.model.QueryEphListRpcDTO;
import com.base.api.model.SubPointDataRpcDTO;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.Date;
import java.util.List;

@FeignClient(name = "orbit-base-track", contextId = "subpoint")
public interface SubPointDataRpcService {

    @GetMapping("/rpc/subpoint/list/getSingleSatelliteSubPointDataList")
    List<SubPointDataRpcDTO> getSingleSatelliteSubPointDataList(@RequestParam("satelliteCode") String satelliteCode, @RequestParam("startTime") String startTime, @RequestParam("endTime")String endTime);

    @PostMapping("/rpc/subpoint/list/getSubPointListForStripExcute")
    List<SubPointDataRpcDTO> getSubPointListForStripExcute(@RequestBody QueryEphListRpcDTO queryEphListDTO);

    @GetMapping("/rpc/subpoint/list/getSubPointDataList")
    List<SubPointDataRpcDTO> getSubPointDataList(@RequestParam("satelliteCode") String satelliteCode, @RequestParam("startTime") String startTime, @RequestParam("endTime")String endTime,@RequestParam("updown")String updown);

    @GetMapping("/rpc/subpoint/list/getSubPointDataListForTaskUpload")
    List<SubPointDataRpcDTO> getSubPointDataListForTaskUpload(@RequestParam("satelliteCode") String satelliteCode, @RequestParam("startTime") String startTime, @RequestParam("endTime")String endTime);
}