package com.base.api.model;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;
import java.util.List;



/**
 * 测控站请求对象
 * @author xj
 * @date 2022-06-24
 */
@Data
@ApiModel("测控站请求对象")
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class CxStationRpcDTO {

    @ApiModelProperty("测控开始时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date cxStartTime;

    @ApiModelProperty("测控结束时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date cxEndTime;

    @ApiModelProperty("卫星id")
    private String satelliteId;

    @ApiModelProperty("卫星Code")
    private List<String> codes;

    @ApiModelProperty("id")
    private List<String> ids;

    @ApiModelProperty("最大圈号")
    private String maxCircle;

    @ApiModelProperty("最小圈号")
    private String minCircle;


}
