package com.base.track.model.dto.request;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.*;

@Data
@Builder
@ToString
@NoArgsConstructor
@AllArgsConstructor
@TableName("yx_satellite_station_match")
public class SatelliteStationMatchDTO extends Model<SatelliteStationMatchDTO> {

    private static final long serialVersionUID = 1L;

    @TableId("id")
    private String id;

    /**
     * 卫星代号
     */
    @TableField("satellite_code")
    private String satelliteCode;

    /**
     * 地面站代号
     */
    @TableField("station_code")
    private String stationCode;

    /**
     * 设备代号
     */
    @TableField("equipment_code")
    private String equipmentCode;

    /**
     * 功能标识；1：一体（可测控可接收），2：测控，3：接收
     */
    @TableField("func")
    private String func;

    /**
     * 创建人
     */
    @TableField("created_by")
    private String createdBy;

    /**
     * 创建时间
     */
    @TableField("created_date")
    private String createdDate;

    /**
     * 最后修改人
     */
    @TableField("last_modified_by")
    private String lastModifiedBy;

    /**
     * 最后修改时间
     */
    @TableField("last_modified_date")
    private String lastModifiedDate;

    /**
     * 版本号
     */
    @TableField("version")
    private String version;

}
