package com.base.track.model.dto.request;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;


@Data
public class VisualRequestDTO {

    @ApiModelProperty("进出站id")
    private String trbutDataId;

    @ApiModelProperty("进站时间")
    private Date pitTime;

    @ApiModelProperty("出站时间")
    private Date exitTime;

    @ApiModelProperty("接收开始时间")
    private Date receiveStartTime;

    @ApiModelProperty("接收结束时间")
    private Date receiveEndTime;

    @ApiModelProperty("最小跟踪仰角，默认3度")
    private String minTraceElevation;

    @ApiModelProperty("最小接收仰角，默认5度")
    private String minWorkElevation;

    @ApiModelProperty("卫星发射EIRP")
    private double eirp;

    @ApiModelProperty("频段值")
    private double carrier;

    @ApiModelProperty("卫星高度")
    private double h;

    @ApiModelProperty("电离层损耗 默认1.0dB")
    private double l1 = 1.0;

    @ApiModelProperty("极化误差损耗 默认0.5dB")
    private double l2 = 0.5;

    @ApiModelProperty("雨衰 默认0.5dB")
    private double l3 = 0.5;

    @ApiModelProperty("其他损耗 默认2.0dB")
    private double l4 = 2.0;

    @ApiModelProperty("地面站G/T")
    private double GT;

    @ApiModelProperty("信息速率")
    private double fb;

    @ApiModelProperty("天线类型 12 或者 5.2 ")
    private double antenna;

}
