package com.base.track.model.dto.response;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 
 * </p>
 *
 * @author yulin
 * @since 2022-02-21
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("yx_info_satellite_payload")
public class YxInfoSatellitePayloadDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    private String id;

    /**
     * 卫星ID
     */
    private String staelliteId;

    /**
     * 名称，0光学，1红外，2电子，3雷达，4通信，5导航
     */
    private String name;

    /**
     * 类型，0光学，1红外，2电子，3雷达，4通信，5导航
     */
    private String type;

    /**
     * 载荷系列
     */
    private String payloadSeries;

    /**
     * 分辨率，单位米
     */
    private Integer groundResolution;

    /**
     * 载荷幅宽，单位m
     */
    private Integer swathWidth;

    /**
     * 幅宽重叠区域，单位km，双载荷有意义
     */
    private Integer overLap;

    /**
     * 最小太阳高度角
     */
    private Integer minSunElevation;

    /**
     * 最大太阳高度角
     */
    private Integer maxSunElevation;

    /**
     * 视场角
     */
    private Integer fov;

    /**
     * 模式
     */
    private String model;

    /**
     * 载荷状态，0不可用，1可用
     */
    private Integer payloadStatus;

    /**
     * 创建时间
     */
    private Date createDate;

    /**
     * 创建人
     */
    private String createBy;

    /**
     * 最新修改人
     */
    private String lastModifiedBy;

    /**
     * 最新修改时间
     */
    private Date lastModifiedDate;

    /**
     * 版本号
     */
    private Integer version;

    /**
     * 状态
     */
    private Integer status;


}
